Error when creating new 4.2 project

I am a total newby to Gadgeteer, .net, c#, and need help resolving an error so I can get started.

I have FEZ Cerbuino Bee. I have installed and reinstalled the the 4.2 software and updated the firmware many times (most recently with the July 23 version).

I am using Microsoft c# visual express.

When I create a new program and select 4.2 I get the following error " Warning 1 A problem occurred while trying to set the “References” parameter for the IDE’s in-process compiler. Error HRESULT E_FAIL has been returned from a call to a COM component. GadgeteerApp1

Any ideas on how to fix it? I am anxious to start building!

Thank you for the help.

Also, I installed the “non-ethernet” version of the firmware, since I do not have a wifi shield.

Did you install or verified that you have the 3 things listed here Support – GHI Electronics

If using 4.2 then the 3 installs are http://www.tinyclr.com/forum/topic?id=7982

Welcome to the community

I am using Windows XP. I have followed the download directions for 4.2 and have re-installed several times. Here is what I did

  1. Installed Microsoft Visual C# Express Studio
  2. Uninstalled Microsofts NETMF 4.1 SDK
  3. Uninstalled all GHI installations
  4. Downloaded the 4.2 software (Microsoft .NET Micro Framework SDK v4.2 Version 4.2.0.0 is now installed)
  5. Loaded Tiny Booter using STDFU tester - worked great
  6. Loaded TinyCLR firmware using Microsoft .NET Frame 4.2 MFDeploy tool - worked great (once I found the MFDeploy tool)

not sure on USB drivers, I think windows installed them for me

4.2 QFE1?

And just to help, here’s the actual list of things you need to do from the thread Gus pointed out:

[quote]Required installations

  1. Visual Studio 2010 or Visual C# express 2010 (free)
  2. Microsoft .NET Micro Framework 4.2 QE1 SDK http://www.ghielectronics.com/downloads/NETMF/Microsoft%20NETMF%204.2%20SDK%20(QFE1).zip
  3. GHI NETMF v4.2 and Gadgeteer Package July 23rd http://www.ghielectronics.com/downloads/NETMF/Beta/GHI%20NETMF%20v4.2%20and%20.NET%20Gadgeteer%20Package%20(Beta%207-23-2012).zip
    [/quote]

Those are the explicit filenames that you should be installing, can you confirm that? What your process seems to be missing from my perspective is you haven’t installed the “GHI NETMF v4.2 and .NET Gadgeteer Package (Beta 07-23-2012).zip” file. That needs to be done after your Step 3 (where you only mention the netmf package).

Thanks for your help. But the issue has not yet been resolved. c# still crashes when I try to create a new 4.2 project.

Yes, I have installed the the GHI 4.2 software multiple times. However, it seems to force me to install 4.1 then 4.2, could this be the problem?

The microsoft files installed were SDK 4.2 (QFE1)
The GHI files installed were from the Beta 7-23-2012

Brett, thank you for your help. you are right, I do not see the “GHI NETMF v4.2” install file. It was not part of the .Net Gadgeteer 7-32 beta package. Although, the beta package had a lot of files with similar names. I’ll see if I can find that file to install. My guess is that I had it installed at one time and uninstalled it, since the directions on tinyclr called for removing all GHI files before installing. I’ll keep trying and let you know. Thank you again for the help!

The beta 7-23 download file names says it includes the GHI NETMF v4.2 and the .NET gadgeteer package. However, I don’t see the specific GHI NETMF v4.2 filename. I see that name with a premium in it. I have installed the files below. Does that cover me, or have I missed something? Also, does the file that have the 4.1 in it conflict with the 4.2 file?

Gadgeteercore.msi
GHI NETMF v4.1 SDK.msi
GHI OSH NETMF SDK.msi
GSHI OSWH NETMF v4.2 SDK.msi
GHI Premium NETMF v4.2 SDK.msi
GHI. NET Gadgeteer SDK v4.2.msi
Seeed Net Gadgeteer SDK v4.2.msi

Where is Microsoft NETMF SDK 4.2 QFE1?

You ONLY need 2 downloads plus visual studio 2010. Please see the instructions where you downloaded the GHI package.